Skip to main content
GET
/
api
/
dataframer
/
transform-jobs
/
{job_id}
/
files
/
download-all
Python
import os
from dataframer import Dataframer

client = Dataframer(
    api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
)
response = client.dataframer.transform_jobs.files.download_all(
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.download_url)
{
  "download_url": "<string>",
  "filename": "<string>",
  "size_bytes": 123,
  "file_count": 123
}

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Path Parameters

job_id
string<uuid>
required

UUID of the completed transform job.

Response

Presigned download URL

Presigned download URL for a ZIP of all transformed files.

download_url
string<uri>

Presigned S3 URL to download the ZIP archive. Expires after 1 hour.

filename
string

Suggested filename for the ZIP archive.

size_bytes
integer

Size of the ZIP archive in bytes.

file_count
integer

Number of transformed files included in the ZIP.